Bug 426919 - Review Request: libpar2 - Library for performing common tasks related to PAR recovery sets
Review Request: libpar2 - Library for performing common tasks related to PAR ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 426922
  Show dependency treegraph
 
Reported: 2007-12-28 08:02 EST by Adel Gadllah
Modified: 2007-12-30 13:51 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-30 13:51:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Adel Gadllah 2007-12-28 08:02:20 EST
Spec URL: http://tgmweb.at/gadllah/libpar2.spec
SRPM URL: http://tgmweb.at/gadllah/libpar2-0.2-1.fc8.src.rpm
Description: 
LibPar2 allows for the generation, modification, verification,
and repairation of PAR v1.0 and PAR v2.0(PAR2) recovery sets.
It contains the basic functions needed for working with these
sets and is the basis for GUI applications such as GPar2.
Comment 1 manuel wolfshant 2007-12-28 20:49:41 EST
There are a couple of small fixes needed:
- the word "repairation" used in %description does not exist in English. Please
replace it with "repair".
- please preserve the timestamp of the original tarball when creating the
src.rpm. The original file is dated Feb 28th 2006, the one included in the
src.rpm is Dec 28th 2007
- please preserve the timestamps of the files included in the packages (mostly
relevant for the -devel).
- please package the docs from the original tarball.


I've attached a modified spec which fixes all the above. Please take a peek and
use whatever you seem fit.
As soon as you apply the fixes, I'll be happy to do a formal review and approve
your package.
Comment 2 Adel Gadllah 2007-12-29 05:41:43 EST
(In reply to comment #1)
> There are a couple of small fixes needed:
> - the word "repairation" used in %description does not exist in English. Please
> replace it with "repair".
that happens when you copy the upstream description ;)

> - please preserve the timestamp of the original tarball when creating the
> src.rpm. The original file is dated Feb 28th 2006, the one included in the
> src.rpm is Dec 28th 2007
ok will do.

> - please preserve the timestamps of the files included in the packages (mostly
> relevant for the -devel).
ok

> - please package the docs from the original tarball.
ok

> 
> I've attached a modified spec which fixes all the above. Please take a peek and
> use whatever you seem fit.
> As soon as you apply the fixes, I'll be happy to do a formal review and approve
> your package.

thx but I don't see any attachment ...
Comment 3 Adel Gadllah 2007-12-29 05:59:57 EST
New spec and srpm:
http://tgmweb.at/gadllah/libpar2.spec
Shttp://tgmweb.at/gadllah/libpar2-0.2-2.fc8.src.rpm
Comment 4 Adel Gadllah 2007-12-29 06:00:22 EST
http://tgmweb.at/gadllah/libpar2-0.2-2.fc8.src.rpm
Comment 5 manuel wolfshant 2007-12-29 06:47:08 EST
Re: comment#2: I've forgotten to upload it... 5 AM is not always the best moment
to work. The only major difference to your new spec was using INSTALL="install
-p" on the make install line, thus avoiding the need for a patch

Review incoming...
Comment 6 manuel wolfshant 2007-12-29 07:06:39 EST
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on:x86_64
 [!] Rpmlint output:
        Source RPM:empty
        rpmlint of libpar2:
         libpar2.x86_64: W: spurious-executable-perm
/usr/share/doc/libpar2-0.2/ChangeLog
-> please chmod -x (or use %attr in %files... as you prefer)
         libpar2.x86_64: W: wrong-file-end-of-line-encoding
/usr/share/doc/libpar2-0.2/README
         libpar2.x86_64: W: wrong-file-end-of-line-encoding
/usr/share/doc/libpar2-0.2/ROADMAP
         libpar2.x86_64: W: wrong-file-end-of-line-encoding
/usr/share/doc/libpar2-0.2/AUTHORS
-> just cosmetic. please fix them if you feel like doing it. Since they come
with CRLF from upstream, it's entirely up to you.
 [x] Package is not relocatable.
 [x] Buildroot is correct
(%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type:GPLv2+
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
     SHA1SUM of package: 4b3da928ea6097a8299aadafa703fc6d59bdfb4b libpar2-0.2.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are
listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [x] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [x] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [x] Development .so files in -devel subpackage, if present.
 [x] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.
=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on:devel/x86_64
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on:devel/x86_64
 [x] Package functions as described.
 [x] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files are correct.
 [-] File based requires are sane.
=== Issues ===
1. none


================
*** APPROVED ***
================

If I were you I would drop the makefile patch and use
  make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
which has the advantage of not being dependent on upstream's Makefile.
Up to you to decide.



Once again, sorry for forgetting to attach my spec :(
Comment 7 Adel Gadllah 2007-12-29 07:22:59 EST
(In reply to comment #6)
>  [!] Rpmlint output:
>         Source RPM:empty
>         rpmlint of libpar2:
>          libpar2.x86_64: W: spurious-executable-perm
> /usr/share/doc/libpar2-0.2/ChangeLog
> -> please chmod -x (or use %attr in %files... as you prefer)
>          libpar2.x86_64: W: wrong-file-end-of-line-encoding
> /usr/share/doc/libpar2-0.2/README
>          libpar2.x86_64: W: wrong-file-end-of-line-encoding
> /usr/share/doc/libpar2-0.2/ROADMAP
>          libpar2.x86_64: W: wrong-file-end-of-line-encoding
> /usr/share/doc/libpar2-0.2/AUTHORS
> -> just cosmetic. please fix them if you feel like doing it. Since they come
> with CRLF from upstream, it's entirely up to you.

Fixed: http://tgmweb.at/gadllah/libpar2.spec


> ================
> *** APPROVED ***
> ================
> 
> If I were you I would drop the makefile patch and use
>   make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
> which has the advantage of not being dependent on upstream's Makefile.
> Up to you to decide.

OK , fixed it in the new spec too.

> Once again, sorry for forgetting to attach my spec :(

np thx for the review.
Comment 8 Adel Gadllah 2007-12-29 07:24:38 EST
New Package CVS Request
=======================
Package Name: libpar2
Short Description: Library for performing common tasks related to PAR recovery sets
Owners: drago01
Branches: F-7 F-8
Cvsextras Commits: yes
Comment 9 manuel wolfshant 2007-12-29 07:37:25 EST
Note that using sed modifies the timestamp of the files. If it's not too much to
ask, please use 
touch tmpfile -r README
sed
touch -r tmpfile README
and so on.
Comment 10 Adel Gadllah 2007-12-29 08:04:08 EST
(In reply to comment #9)
> Note that using sed modifies the timestamp of the files. If it's not too much to
> ask, please use 
> touch tmpfile -r README
> sed
> touch -r tmpfile README
> and so on.
> 

ok done: http://tgmweb.at/gadllah/libpar2.spec
Comment 11 Kevin Fenzi 2007-12-29 16:19:49 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.